package com.jpsoft.shinestar.modules.business.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.business.entity.MedicalPerson;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface MedicalPersonService {
	MedicalPerson get(String id);
	boolean exist(String id);
	int insert(MedicalPerson model);
	int update(MedicalPerson model);
	int delete(String id);
	MedicalPerson findByPersonId(Long personId);
	List<MedicalPerson> list();
	Page<MedicalPerson> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}